|  | Home · All Classes · Modules

# QWindowStateChangeEvent Class Reference
[QtGui module]

The QWindowStateChangeEvent class provides the window state before a window state change. More...

Inherits QEvent.

### Methods

- __init__ (self, Qt.WindowStates aOldState)
- __init__ (self, QWindowStateChangeEvent other)
- Qt.WindowStates oldState (self)

## Detailed Description

The QWindowStateChangeEvent class provides the window state before a window state change.

## Method Documentation

### QWindowStateChangeEvent.__init__ (self, Qt.WindowStates aOldState)

### QWindowStateChangeEvent.__init__ (self, QWindowStateChangeEvent other)

### Qt.WindowStates QWindowStateChangeEvent.oldState (self)

Returns the state of the window before the change.